
Figure - Bug #118913
【AF】【VC1】【台架】【副屏】副屏在QQ语音通话过程中    打开了游戏（王者和火影忍者；  这两个游戏都
需要更新）游戏启动会出现卡顿和延迟的现象；打开不需要更新的游戏启动很流畅
2023-06-28 16:17 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-06-28

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C106(X106).202306280111

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: 0129

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 该问题怀疑和之前的两个提交有关，现版本已经回退，��新版本验证不复现，请关闭该问题

Description

【环境信息】

台架

【前提条件】

1.设备正常上电

2.副屏已下对应的应用程序，且待更新（王者荣耀  火影忍者）

【操作步骤】

1.副屏接到QQ语音来电处于通话中

2.打开王者荣耀  火影忍者

【实际结果】

游戏启动界面卡顿

【期望结果】

游戏启动界面流畅  无卡顿现象

History

#1 - 2023-06-28 17:20 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to 物联网测试组_TSCD 王维

- Need_Info changed from -- to TEST

Hi 王维

从日志看，主要是启动火影忍者时出现卡顿问题

分析如下

---------------

5.txt:38726: 06-28 16:04:28.029  1583  2093 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER]

flg=0x10200000 cmp=com.tencent.KiHan/com.tencent.gcloud.msdk.core.policy.MSDKPolicyActivity bnds=[1326,692][1626,990]} from uid 10081

5.txt:39082: 06-28 16:04:28.264  1583  2000 I ActivityTaskManager: START u0 {cmp=com.tencent.KiHan/.MainActivity} from uid 10106

5.txt:38804: 06-28 16:04:28.055  1583  1720 I ActivityManager: Start proc 22268:com.tencent.KiHan/u0a106 for pre-top-activity

{com.tencent.KiHan/com.tencent.gcloud.msdk.core.policy.MSDKPolicyActivity}

视频中第一次启动火影

5.txt:39635: 06-28 16:04:29.678 22268 22268 I Choreographer: Skipped 36 frames!  The application may be doing too much work on its main thread.

掉帧了，原因是由于火影在它的主线程做了太多的工作
5.txt:49949: 06-28 16:04:34.406  1583 16644 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER]

flg=0x10200000 cmp=com.tencent.KiHan/com.tencent.gcloud.msdk.core.policy.MSDKPolicyActivity bnds=[1326,692][1626,990]} from uid 10081

5.txt:50010: 06-28 16:04:34.438  1583  1720 I ActivityManager: Start proc 23242:com.tencent.KiHan/u0a106 for pre-top-activity

{com.tencent.KiHan/com.tencent.gcloud.msdk.core.policy.MSDKPolicyActivity}

5.txt:50605: 06-28 16:04:34.600  1583  4126 I ActivityTaskManager: START u0 {cmp=com.tencent.KiHan/.MainActivity} from uid 10106

视频中第二次启动火影

5.txt:53041: 06-28 16:04:36.121 23242 23242 I Choreographer: Skipped 39 frames!  The application may be doing too much work on its main thread.

掉帧了，原因是由于火影在它的主线程做了太多的工作

---------------

因此这个问题需要应用自身优化启动逻辑，避免在主线程做太多工作

我们无法处理，请确认

#2 - 2023-06-29 17:15 - 物联网测试组_TSCD 王维

- File 7.mp4 added

- File 7.txt added

- Assignee changed from 物联网测试组_TSCD 王维 to CD FW 曹覃刚

同样的环境下，王者荣耀也会出现卡屏的现象；之前的视频可能不明显，请查看最新的日志和视频；麻烦确认下问题原因是否一致

#3 - 2023-07-03 16:07 - CD FW 曹覃刚

在qq语音通话期间，王者荣耀启动时也会出现卡屏的现象

与测试同学现场实际测试:

禁用主屏音频控制，链接蓝牙音响，不会出现问题

启用主屏音频控制，会出现问题

不在qq语音通话期间启动，不会有问题

#4 - 2023-07-03 16:13 - CD FW 曹覃刚

- Category changed from CD-APP to AUDIO-FW

- Assignee changed from CD FW 曹覃刚 to Multimedia组-RD3_TSCD 梁卿山

Hi 卿山

如飞书沟通，请帮忙看下这个问题，谢谢

#5 - 2023-08-03 14:04 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

- Resolution changed from -- to FIXED

- Root cause set to 该问题怀疑和之前的两个提交有关，现版本已经回退，

新版本验证不复现，请关闭该问题

Hi ALL

该问题怀疑和之前的两个提交有关，现版本已经回退，

新版本验证不复现，请关闭该问题。
#6 - 2023-08-03 15:41 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0129

【复验反馈】验证通过

【复验版本】0129

【复现环境】中控版本3098 使用AirPods蓝牙耳机

【复现方法】

1.副屏安装旧版本的王者荣耀和火影忍者等大型网络游戏；

2.副屏连接蓝牙耳机并接听QQ语音电话中

3.打开王者荣耀或火影忍者检查启动页面是否卡顿

【复现结果】游戏启动流畅

#7 - 2023-08-03 15:42 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

5.mp4 22.1 MB 2023-06-28 物联网测试组_TSCD 王维

5.txt 14.9 MB 2023-06-28 物联网测试组_TSCD 王维

7.mp4 13.4 MB 2023-06-29 物联网测试组_TSCD 王维

7.txt 12.6 MB 2023-06-29 物联网测试组_TSCD 王维
